Skip to main content
GET
/
ramp
/
webhook
/
{webhook_id}
Get webhook details
curl --request GET \
  --url https://api.etherfuse.com/ramp/webhook/{webhook_id} \
  --header 'Authorization: <api-key>'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "eventType": "order_updated",
  "url": "https://example.com/webhook",
  "createdAt": "2024-01-01T00:00:00Z",
  "updatedAt": "2024-01-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

API key for authentication. Pass the key directly (e.g., Authorization: your-api-key). Do not use a Bearer prefix.

Path Parameters

webhook_id
string<uuid>
required

ID of the webhook to retrieve

Response

Webhook details retrieved successfully

id
string<uuid>

Unique identifier for the webhook

eventType
enum<string>

Type of event the webhook is subscribed to

Available options:
bank_account_updated,
customer_updated,
order_updated,
quote_updated,
swap_updated,
kyc_updated
url
string<uri>

URL where webhook events will be sent

createdAt
string<date-time>

Timestamp when the webhook was created

updatedAt
string<date-time>

Timestamp when the webhook was last updated